This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 221745 - openoffice.org is missing the following buildrequires
openoffice.org is missing the following buildrequires
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-07 01:19 EST by Johnny Hughes
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 04:03:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Johnny Hughes 2007-01-07 01:19:07 EST
Description of problem:
openoffice.org will not properly build in a dynamic build environment (like
plague ) because it is missing the following buildrequires:

ncurses-devel
gdbm-devel
python-devel
doxygen
readlines-devel
Comment 1 Johnny Hughes 2007-01-07 01:20:29 EST
sorry ... should be readline-devel and not readlines-devel
Comment 2 Caolan McNamara 2007-01-07 08:40:50 EST
Do you happen to have a build log to show where they get used ? I seriously
doubt I'll do anything about this for the RHEL-4 OOo, but I'll easily fix
whatever is still outstanding on the devel branch
Comment 3 Caolan McNamara 2007-01-25 04:03:34 EST
It's agonizingly painful to get something into a RHEL-4 update, so this isn't
going to happen. Though for RHEL-5 and >= FC-6 we moved to a mock buildsystem,
and for FC-7 we'll be using plague as well, so this should be ok for the current
OOo 2.2.0 src.rpm, and if not will be shaken out in the core/extras merge

Note You need to log in before you can comment on or make changes to this bug.